source: trunk/toolchain/gcc/Config.in @ 21955

Last change on this file since 21955 was 21955, checked in by nbd, 6 years ago

remove gcc 3.4.6

  • Property svn:eol-style set to LF
File size: 2.6 KB
Line 
1# Choose gcc version.
2
3choice
4        prompt "GCC compiler Version" if TOOLCHAINOPTS
5        default GCC_VERSION_4_2_4 if avr32
6        default GCC_VERSION_4_3_3 if powerpc64
7        default GCC_VERSION_4_3_3 if TARGET_coldfire
8        default GCC_VERSION_4_3_3 if TARGET_etrax
9        default GCC_VERSION_4_3_3_CS if (arm || armeb) && !TARGET_gemini
10        default GCC_VERSION_4_3_3_CS if (mips || mipsel) && !(TARGET_octeon || TARGET_sibyte)
11        default GCC_VERSION_4_3_4 if TARGET_gemini
12        default GCC_VERSION_4_4_1 if ubicom32
13        default GCC_VERSION_4_4_3 if powerpc
14        default GCC_VERSION_4_4_3 if (TARGET_octeon || TARGET_sibyte)
15        default GCC_VERSION_4_1_2
16        help
17          Select the version of gcc you wish to use.
18
19        config GCC_VERSION_4_1_2
20                bool "gcc 4.1.2"
21
22        config GCC_VERSION_4_2_4
23                bool "gcc 4.2.4"
24
25        config GCC_VERSION_4_3_3
26                bool "gcc 4.3.3"
27
28        config GCC_VERSION_4_3_4
29                bool "gcc 4.3.4"
30
31        config GCC_VERSION_4_3_5
32                bool "gcc 4.3.5"
33
34        config GCC_VERSION_4_4_1
35                bool "gcc 4.4.1"
36
37        config GCC_VERSION_4_4_2
38                bool "gcc 4.4.2"
39
40        config GCC_VERSION_4_4_3
41                bool "gcc 4.4.3"
42
43        config GCC_VERSION_4_4_4
44                bool "gcc 4.4.4"
45
46        config GCC_VERSION_4_5_0
47                bool "gcc 4.5.0"
48
49        config GCC_VERSION_LLVM
50                bool "llvm-gcc 4.2"
51                depends BROKEN
52
53        config GCC_VERSION_4_3_3_CS
54                bool "gcc 4.3.3 with CodeSourcery enhancements"
55
56        config GCC_VERSION_4_4_1_CS
57                bool "gcc 4.4.1 with CodeSourcery enhancements"
58                depends BROKEN
59
60        config GCC_VERSION_4_4_3_CS
61                bool "gcc 4.4.3 with CodeSourcery enhancements"
62                depends BROKEN
63
64endchoice
65
66config GCC_USE_GRAPHITE
67        bool
68        prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
69        depends GCC_VERSION_4_4 || GCC_VERSION_4_5
70
71config GCC_USE_SYSTEM_PPL_CLOOG
72        bool
73        prompt "Use the system versions of PPL and CLooG"
74        depends GCC_USE_GRAPHITE
75        default n
76
77config EXTRA_GCC_CONFIG_OPTIONS
78        string
79        prompt "Additional gcc configure options" if TOOLCHAINOPTS
80        default ""
81        help
82            Any additional gcc options you may want to include....
83
84config SSP_SUPPORT
85        bool
86        depends !GCC_VERSION_3_4_6
87        prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
88        default n
89        help
90            Enable Stack-Smashing Protection support
91
92config TLS_SUPPORT
93        bool
94        depends !GCC_VERSION_3_4_6 && UCLIBC_VERSION_NPTL
95        prompt "Enable Thread-local storage (TLS) support" if TOOLCHAINOPTS
96        default n
97        help
98            Enable Thread-local storage support
99
100config INSTALL_LIBSTDCPP
101        bool
102        prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
103        default y
104        help
105            Build/install c++ compiler and libstdc++?
106
107config INSTALL_LIBGCJ
108        bool
109        prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
110        default n
111        help
112            Build/install java compiler and GNU classpath ?
Note: See TracBrowser for help on using the repository browser.